Package Details: kconfigwidgets-git 5.83.0_r577.g40e36e9-1

Git Clone URL: https://aur.archlinux.org/kconfigwidgets-git.git (read-only, click to copy)
Package Base: kconfigwidgets-git
Description: Widgets for KConfig
Upstream URL: https://community.kde.org/Frameworks
Licenses: LGPL
Conflicts: kconfigwidgets
Provides: kconfigwidgets
Submitter: ilpianista
Maintainer: IslandC0der (chaotic-aur)
Last Packager: IslandC0der
Votes: 20
Popularity: 0.000561
First Submitted: 2014-01-04 11:36 (UTC)
Last Updated: 2021-05-30 17:42 (UTC)

Required by (34)

Sources (1)

Latest Comments

IslandC0der commented on 2021-06-26 18:02 (UTC)

@modnoob This seems to be a recurring issue for some users, which I can never reproduce. Could you please provide the output of python -c "import PyQt5.Qt" && echo Success and ls -1 /bin/python[0-9]*?

modnoob commented on 2021-06-15 06:09 (UTC)

The build fails with the Error:

Traceback (most recent call last): File "/usr/share/ECM/find-modules/run-sip.py", line 10, in <module> from PyQt5.Qt import PYQT_CONFIGURATION ImportError: No module named PyQt5.Qt make[2]: [src/CMakeFiles/sip_generated_KConfigWidgets_files.dir/build.make:77: src/pybuild/PyKF5/KConfigWidgets/unifiedKConfigWidgets.cpp] Error 1 make[1]: [CMakeFiles/Makefile2:854: src/CMakeFiles/sip_generated_KConfigWidgets_files.dir/all] Error 2

IslandC0der commented on 2020-12-13 21:13 (UTC)

Thank you @duongdominhchau, fixed

duongdominhchau commented on 2020-12-10 19:40 (UTC)

Need kcodecs-git and kauth-git to compile.

rustemb commented on 2020-11-13 20:09 (UTC)

need qt5-tools as makedeps

sl1pkn07 commented on 2014-12-07 01:02 (UTC)

kconfigwidgets-git W: Dependency included and not needed ('karchive-git') greetings

metak commented on 2014-09-04 20:25 (UTC)

It fails to build without 'python2'.